#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define major 17.0.3
%define ff_epoch 0
# (tpg) set version HERE !!!
%define realver %{major}esr
%define firefox_appid \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}

# (tpg) MOZILLA_FIVE_HOME
%define mozillalibdir %{_libdir}/%{name}-%{major}
%define pluginsdir %{_libdir}/mozilla/plugins

# libxul.so is provided by libxulrunnner2.0.
%define _requires_exceptions libxul.so

# this seems fragile, so require the exact version or later (#58754)
%define sqlite3_version %(pkg-config --modversion sqlite3 &>/dev/null && pkg-config --modversion sqlite3 2>/dev/null || echo 0)
%define nss_version %(pkg-config --modversion nss &>/dev/null && pkg-config --modversion nss 2>/dev/null || echo 0)
%define nspr_version %(pkg-config --modversion nspr &>/dev/null && pkg-config --modversion nspr 2>/dev/null |sed -e 's!\.0!!' || echo 0)

%define _use_syshunspell 1

%define release %mkrel 1

%define update_channel esr17

Summary:	Next generation web browser
Name:		firefox
Version:	%{major}
Epoch:		%{ff_epoch}
Release:	%{release}
License:	MPLv1+
Group:		Networking/WWW
Url:		http://www.mozilla.org/firefox/organizations/
Source0:	ftp://ftp.mozilla.org/pub/mozilla.org/%{name}/releases/%{realver}/source/%{name}-%{realver}.source.tar.bz2
Source4:	%{name}.desktop
Source8:	%{name}-searchengines-duckduckgo.xml
Source9:	kde.js
Patch1:		firefox-6.0-lang.patch
Patch2:		firefox-vendor.patch
Patch3:		mozilla-firefox-1.5.0.6-systemproxy.patch
Patch4:		firefox-17.0-nss-binary.patch
# (OpenSuse) add patch to make firefox always use /usr/bin/firefox when "make firefox
# the default web browser" is used fix mdv bug#58784
Patch5:		firefox-6.0-appname.patch
Patch6:		firefox-7.0-fix-str-fmt.patch
Patch7:		mozilla-firefox-run-mozilla.patch
Patch8:		firefox-disable-check-default-browser.patch
Patch9:		firefox-5.0-asciidel.patch
Patch10:	firefox-3.5.3-default-mail-handler.patch
# Patches for kde integration of FF 
Patch11:	firefox-kde.patch
Patch12:	mozilla-kde.patch
Patch13:	firefox-13-fix-nspr-include.patch
Patch14:	firefox-13-fix-cairo-build.patch
Patch34:	xulrunner_nojit.patch
# (cjw) use system virtualenv
Patch36:	iceape-2.12-system-virtualenv.patch
Patch37:	firefox-17.0-nss-version.patch
# (cjw) build against system ogg libs
Patch38:	firefox-17.0-system-ogg.patch
# (cjw) use mozilla ogg player instead of gstreamer
Patch39:	firefox-17.0-moz-ogg.patch
BuildRequires:	gtk+2-devel
BuildRequires:	unzip
BuildRequires:	zip
BuildRequires:	libxinerama-devel
BuildRequires:	libxscrnsaver-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel >= 2:1.4
BuildRequires:	zlib-devel
BuildRequires:	glib2-devel
BuildRequires:	libIDL2-devel
BuildRequires:	makedepend
BuildRequires:	nss-devel >= 2:3.13.2
BuildRequires:	nss-static-devel
BuildRequires:	nspr-devel >= 2:4.8.9
BuildRequires:	startup-notification-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	python
BuildRequires:	sqlite3-devel >= 3.7.13
%ifnarch %arm %mips
BuildRequires:	valgrind
BuildRequires:	java-rpmbuild
BuildRequires:	yasm >= 1.0.1
%endif
%ifarch %arm
BuildRequires:	libffi-devel
%endif
BuildRequires:	rootcerts >= 1:20110830.00
BuildRequires:	libxt-devel
%if %_use_syshunspell
BuildRequires:	hunspell-devel
%endif
BuildRequires:	doxygen
BuildRequires:	pkgconfig(libproxy-1.0)
BuildRequires:	pkgconfig(alsa)
BuildRequires:	wget
BuildRequires:	libnotify-devel
BuildRequires:	cairo-devel >= 1.10
BuildRequires:	mesagl-devel
BuildRequires:	libvpx-devel
BuildRequires:	autoconf2.1
BuildRequires:	libiw-devel
BuildRequires:	python-virtualenv
BuildRequires:	gstreamer0.10-devel
BuildRequires:	libgstreamer0.10-plugins-base-devel
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(theoradec)
BuildRequires:	pkgconfig(opus)

Provides:	%{name} = %{epoch}:%{major}
Provides:	mozilla-firefox = %{epoch}:%{version}-%{release}
Provides:	webclient

Requires:	%{mklibname sqlite3_ 0} >= %{sqlite3_version}
Requires:	%{mklibname nss 3} >= 2:%{nss_version}
Requires:	%{mklibname nspr 4} >= 2:%{nspr_version}
Requires:	indexhtml
Requires:	xdg-utils
# fixes bug #42096
Requires:	mailcap
Suggests:	hunspell-en
Suggests:	%{_lib}canberra0
Suggests:	%{_lib}cups2
Obsoletes:	firefox-ext-weave-sync
Obsoletes:	firefox-beta < 18

%description
The award-winning Web browser is now faster, more secure, and fully customizable 
to your online life. With Firefox(R), we've added powerful new features that 
make your online experience even better. It is an 'open source' product which is 
freely available, and is acquiring a growing proportion of international web 
browser usage.

Firefox claims to offer a more secure web browsing experience than other products, 
with better protection against spyware and other Internet-based security threats. 
It includes all the standard features of a modern web browser, like Internet 
searching, tracking recently visited sites, setting up shortcuts to favourite 
sites, customising the software behaviour and so on. Firefox also includes 
features like 'tabbed browsing' (opening several web sites as sections within the 
same window) and methods for controlling pop-up windows, cookies and downloaded 
files.

%package	devel
Summary:	Development files for %{name}
Group:		Development/Other
Obsoletes:	firefox-beta-devel < 18

%description	devel
Files and macros mainly for building Firefox extensions.

%prep
%setup -qn mozilla-%update_channel
%patch1 -p1 -b .lang
%patch2 -p1 -b .vendor
#patch3 -p1 -b .systemproxy
%patch4 -p0 -b .nss
%patch5 -p1 -b .appname
# It was disabled because firefox3 hangs when using soundwrapper
#patch7 -p1
%patch8 -p1 -b .disable-software-update
%patch9 -p1 -b .ascii
%patch10 -p1 -b .default-mail-handler
%patch14 -p1
## KDE INTEGRATION
%patch11 -p1 -b .kde
%patch12 -p1 -b .kdemoz

%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
%patch34 -p1
%endif
%endif
%patch36 -p2 -b .system-virtualenv
%patch37 -p0
%patch38 -p1
%patch39 -p1

pushd js/src
autoconf-2.13
popd
autoconf-2.13

# needed to regenerate certdata.c
pushd security/nss/lib/ckfw/builtins
perl ./certdata.perl < /etc/pki/tls/mozilla/certdata.txt
popd

perl -pi -e "s|^MOZPNG=.*|MOZPNG=10509|g" configure*

%build
export MOZCONFIG=`pwd`/mozconfig
cat << EOF > $MOZCONFIG
mk_add_options MOZILLA_OFFICIAL=1
mk_add_options BUILD_OFFICIAL=1
mk_add_options MOZ_MAKE_FLAGS="%{_smp_mflags}"
mk_add_options MOZ_OBJDIR=@TOPSRCDIR@/../obj
ac_add_options --host=%{_host}
ac_add_options --target=%{_target_platform}
ac_add_options --enable-optimize="%{optflags}"
ac_add_options --prefix="%{_prefix}"
ac_add_options --libdir="%{_libdir}"
ac_add_options --sysconfdir="%{_sysconfdir}"
ac_add_options --mandir="%{_mandir}"
ac_add_options --includedir="%{_includedir}"
ac_add_options --datadir="%{_datadir}"
ac_add_options --with-system-nspr
ac_add_options --with-system-nss
ac_add_options --with-system-zlib
ac_add_options --with-system-libvpx
ac_add_options --enable-webm
ac_add_options --enable-gio
ac_add_options --disable-gnomevfs
ac_add_options --disable-updater
ac_add_options --disable-tests
ac_add_options --disable-debug
#ac_add_options --enable-chrome-format=jar
#ac_add_options --enable-update-channel=beta
ac_add_options --enable-official-branding
ac_add_options --enable-libproxy
ac_add_options --with-system-png
ac_add_options --with-system-jpeg
ac_add_options --enable-system-cairo
ac_add_options --enable-system-sqlite
ac_add_options --enable-startup-notification
ac_add_options --enable-xinerama
ac_add_options --with-distribution-id=org.mageia
ac_add_options --disable-crashreporter
ac_add_options --enable-update-channel=%{update_channel}
ac_add_options --enable-gstreamer
%ifarch %arm
%if "%{_target_cpu}" != "armv7l"
ac_add_options --disable-methodjit 
ac_add_options --disable-tracejit 
%endif
ac_add_options --enable-system-ffi 
%endif
%ifnarch %arm %mips
ac_add_options --with-valgrind 
ac_add_options --with-java-include-path=%{java_home}/include 
ac_add_options --with-java-bin-path=%{java_home}/bin 
ac_add_options --with-system-ogg
ac_add_options --enable-opus
ac_add_options --disable-webrtc
%endif

EOF

%__perl -p -i -e 's|\-0|\-9|g' config/make-jars.pl

export LDFLAGS="%ldflags"
make -f client.mk build

%install
rm -rf %{buildroot}

make -C %{_builddir}/obj/browser/installer STRIP=/bin/true MOZ_PKG_FATAL_WARNINGS=0

# Copy files to buildroot
%{__mkdir_p} %{buildroot}%{mozillalibdir}
cp -rf %{_builddir}/obj/dist/firefox/* %{buildroot}%{mozillalibdir}

%{__mkdir_p}  %{buildroot}%{_bindir}
ln -sf %{mozillalibdir}/firefox %{buildroot}%{_bindir}/firefox
pushd %{buildroot}%{_bindir}
	ln -sf firefox mozilla-firefox
popd
mkdir -p %{buildroot}%{mozillalibdir}/defaults/preferences/
install -m 644 %{SOURCE9} %{buildroot}%{mozillalibdir}/defaults/preferences/kde.js

# Create and own %_libdir/mozilla/plugins & firefox extensions directories
%{__mkdir_p} %{buildroot}%{pluginsdir}
%{__mkdir_p} %{buildroot}%{_libdir}/mozilla/extensions/%{firefox_appid}
%{__mkdir_p} %{buildroot}%{_datadir}/mozilla/extensions/%{firefox_appid}

# (tpg) desktop entry
%{__mkdir_p} %{buildroot}%{_datadir}/applications
install -m 644 %{SOURCE4} %{buildroot}%{_datadir}/applications/%{name}.desktop

# (tpg) icons
%{__cp} %{buildroot}%{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}/%{mozillalibdir}/icons/
for i in 16 22 24 32 48 256; do
# (cg) Not all icon sizes are installed with make install, so just redo it here.
%{__install} -m 644 browser/branding/official/default$i.png %{buildroot}%{mozillalibdir}/chrome/icons/default/default$i.png
%{__mkdir_p} %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps
ln -sf %{mozillalibdir}/chrome/icons/default/default$i.png %{buildroot}%{_iconsdir}/hicolor/"$i"x"$i"/apps/%{name}.png ;
done
%{__mkdir_p} %{buildroot}{%{_liconsdir},%{_iconsdir},%{_miconsdir}}
ln -sf %{mozillalibdir}/chrome/icons/default/default48.png %{buildroot}%{_liconsdir}/%{name}.png
ln -sf %{mozillalibdir}/chrome/icons/default/default32.png %{buildroot}%{_iconsdir}/%{name}.png
ln -sf %{mozillalibdir}/chrome/icons/default/default16.png %{buildroot}%{_miconsdir}/%{name}.png

# exclusions
rm -f %{buildroot}%{mozillalibdir}/README.txt
rm -f %{buildroot}%{mozillalibdir}/removed-files
rm -f %{buildroot}%{mozillalibdir}/precomplete

# this file is only used when creating a new user profile
install -D -m644 browser/app/profile/prefs.js %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
cat << EOF >> %{buildroot}%{mozillalibdir}/defaults/profile/prefs.js
user_pref("browser.EULA.override", true);
user_pref("browser.shell.checkDefaultBrowser", false);
user_pref("browser.startup.homepage", "file:///usr/share/indexhtml/index.html");
user_pref("app.update.auto", false);
user_pref("app.update.enabled", false);
user_pref("app.update.autoInstallEnabled", false);
user_pref("browser.showQuitWarning", true);
EOF

# display icon for Firefox button
%{__mkdir_p} %{buildroot}%{mozillalibdir}/defaults/profile/chrome
cat << EOF > %{buildroot}%{mozillalibdir}/defaults/profile/chrome/userChrome.css
#appmenu-toolbar-button {
  list-style-image: url("chrome://branding/content/icon16.png");
}
EOF

# files in this directory are read on every startup, and can change/add
# preferences for existing profiles
# extensions.autoDisableScopes is a new preference added in firefox 8
# it defines "scopes" where newly installed addons are disabled by default
# this is an additive bit field, and the value defaults to 15 (1+2+4+8)
# we need to remove system scope (8) from it so language packs and other addons
# which are installed systemwide won't get marked as 3rd party and disabled
# documentation: http://kb.mozillazine.org/About:config_entries#Extensions.
# or in toolkit/mozapps/extensions/AddonManager.jsm
# we also need to disable the "disable addon selection dialog"
cat << EOF > %{buildroot}%{mozillalibdir}/defaults/preferences/mga.js
pref("extensions.autoDisableScopes", 0);
pref("extensions.shownSelectionUI", true);
EOF
# FIXME: Add it back in mga.js when this search engine will be used by default.
# user_pref("browser.search.selectedEngine","duckduckgo.com");

# use the system myspell dictionaries
rm -fr %{buildroot}%{mozillalibdir}/dictionaries
ln -s %{_datadir}/hunspell %{buildroot}%{mozillalibdir}/dictionaries

# (lm) touch and %ghost bookmarks.html to a proper uninstall
touch %{buildroot}%{mozillalibdir}/defaults/profile/bookmarks.html

%find_lang %{name}

mkdir -p %{buildroot}%{_sys_macros_dir}
cat <<FIN >%{buildroot}%{_sys_macros_dir}/%{name}.macros
# Macros from %{name} package
%%firefox_major              %{major}
%%firefox_epoch              %{ff_epoch}
%%firefox_version            %{major}
%%firefox_mozillapath        %{mozillalibdir}
%%firefox_pluginsdir         %{pluginsdir}
%%firefox_appid              \{ec8030f7-c20a-464f-9b0e-13a3a9e97384\}
%%firefox_extdir             %%(if [ "%%_target_cpu" = "noarch" ]; then echo %%{_datadir}/mozilla/extensions/%%{firefox_appid}; else echo %%{_libdir}/mozilla/extensions/%%{firefox_appid}; fi)
FIN
cp -f %{SOURCE8} %{buildroot}%{mozillalibdir}/searchplugins/duckduckgo.xml

%pre
if [ -d %{mozillalibdir}/dictionaries ]; then
    rm -fr %{mozillalibdir}/dictionaries
fi

%post
if [ ! -r /etc/sysconfig/oem ]; then
  case `grep META_CLASS /etc/sysconfig/system` in
    *powerpack) bookmark="mozilla-powerpack.html" ;;
    *desktop) bookmark="mozilla-one.html";;
    *) bookmark="mozilla-download.html";;
  esac
  ln -s -f ../../../../share/mga/bookmarks/mozilla/$bookmark  %{mozillalibdir}/defaults/profile/bookmarks.html
fi

%files -f %{name}.lang
%{_bindir}/%{name}
%{_bindir}/mozilla-firefox
%{_iconsdir}/hicolor/*/apps/*.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_datadir}/applications/*.desktop
%{_libdir}/%{name}-%{major}*
%ghost %{mozillalibdir}/defaults/profile/bookmarks.html
%dir %{_libdir}/mozilla
%dir %{pluginsdir}
%dir %{_libdir}/mozilla/extensions/%{firefox_appid}
%dir %{_datadir}/mozilla/extensions/%{firefox_appid}

%files devel
%{_sys_macros_dir}/%{name}.macros


%changelog

* Sat Feb 16 2013 fwang <fwang> 0:17.0.3-1.mga2
+ Revision: 398684
- new version 17.0.3
- fix virtual provides
- rediff patch
- new version 17.0.1esr
- new version 1.0.10esr
- new version 10.0.8esr
- update url
- new version 10.0.6esr
- new version 10.0.5esr
- fix firefox_version defination in rpm macro
- new version 10.0.4esr

  + luigiwalser <luigiwalser>
    - fix syntax in duckduckgo xml file
    - build against system ogg/vorbis/theora/opus libraries (from cjw)
    - do not use gstreamer for ogg media as this breaks opus (from cjw)
    - disable webrtc for now, not yet fixed in system-ogg patch
    - add mageia parameter to duckduckgo url
    - new version 10.0.11esr
    - do not assume nspr and nss have micro versions
    - new version 10.0.9esr
    - new version 10.0.7esr

  + oden <oden>
    - 17.0.2
    - drop the br on system opus libs as this don't work yet

  + lmenut <lmenut>
    - install mga.js in defaults/preferences
      (fix mga #7424 - extensions and languages pack are disabled by default)
    - remove duplicated ghost in files list
    - sync spec with cauldron

  + dmorgan <dmorgan>
    - Allow to build against system png ( patch from Oden)
    - Fix xml file
    - Enable Opus support
    - New version 17.0esr

* Wed Mar 21 2012 fwang <fwang> 0:10.0.3-1.mga2
+ Revision: 225217
- try to fix build with system nss
- cp from mga1
- new version 10.0.3esr
- display firefox icon for firefox button

* Fri Mar 02 2012 fwang <fwang> 0:10.0.2-5.mga2
+ Revision: 216675
- fix build with latest vpx
- rebuild for new vpx

* Mon Feb 27 2012 fwang <fwang> 0:10.0.2-4.mga2
+ Revision: 215462
- obsoletes devel too

* Wed Feb 22 2012 tv <tv> 0:10.0.2-3.mga2
+ Revision: 211809
- fix nspr require (pkgconfig reports 4.9.0 but package version is 4.9)

* Wed Feb 22 2012 fwang <fwang> 0:10.0.2-2.mga2
+ Revision: 211783
- turn to hunspell, bug#4437
- obsolete beta branch, so users will not confuse about  firefox-esr and firefox-beta

* Fri Feb 17 2012 fwang <fwang> 0:10.0.2-1.mga2
+ Revision: 210043
- new version 10.0.2esr

* Fri Feb 10 2012 fwang <fwang> 0:10.0.1-1.mga2
+ Revision: 206849
- update file list
- new version 10.0.1esr

  + dmorgan <dmorgan>
    - Enable kde integration

* Sun Feb 05 2012 fwang <fwang> 0:10.0-2.mga2
+ Revision: 205048
- suggests several dlopen()ed libs for more features

* Tue Jan 31 2012 fwang <fwang> 0:10.0-1.mga2
+ Revision: 203621
- do not apply kde integration patch, to wait opensue to catch up
- try to build with permissive
- new version 10.0

* Fri Jan 06 2012 tmb <tmb> 0:9.0.1-2.mga2
+ Revision: 192099
- drop suggests on nspluginwrapper

* Thu Dec 22 2011 fwang <fwang> 0:9.0.1-1.mga2
+ Revision: 185617
- new version 9.0.1
- bump sqlite req

* Tue Dec 20 2011 fwang <fwang> 0:9.0-1.mga2
+ Revision: 184831
- commit tarball
- rediff mozilla-kde patch
- new version 9.0

  + doktor5000 <doktor5000>
    - really prevent firefox 8 default preference (extensions.autoDisableScopes)
      from automatically disabling systemwide installed addons
    - hide addons selection dialog permanently
    - added comments about purpose of the .js preferences files we use
    - drop enable-addons.patch, function replaced by mga.js file

* Sun Nov 20 2011 dmorgan <dmorgan> 0:8.0.1-3.mga2
+ Revision: 169618
- Disabled addon check UI (RHBZ #753551)

  + doktor5000 <doktor5000>
    - change firefox 8 default preference (extensions.autoDisableScopes) to not
      automatically disable systemwide installed addons, like language packs

* Wed Nov 16 2011 fwang <fwang> 0:8.0.1-1.mga2
+ Revision: 168118
- new version 8.0.1

* Sun Nov 06 2011 fwang <fwang> 0:8.0-1.mga2
+ Revision: 164134
- new version 8.0

* Fri Sep 30 2011 fwang <fwang> 0:7.0.1-1.mga2
+ Revision: 150409
- new version 7.0.1

* Tue Sep 27 2011 fwang <fwang> 0:7.0-2.mga2
+ Revision: 149306
- sync patch from opensuse

* Tue Sep 27 2011 fwang <fwang> 0:7.0-1.mga2
+ Revision: 149203
- fix str fmt
- fix mozconfig dir
- new version 7.0

* Sun Sep 11 2011 fwang <fwang> 0:6.0.2-2.mga2
+ Revision: 142362
- br system png

* Sun Sep 04 2011 fwang <fwang> 0:6.0.2-1.mga2
+ Revision: 138408
- new version 6.0.2

* Thu Sep 01 2011 dmorgan <dmorgan> 0:6.0.1-2.mga2
+ Revision: 137463
- Rebuild against new rootcerts and nss

* Wed Aug 31 2011 fwang <fwang> 0:6.0.1-1.mga2
+ Revision: 136959
- new version 6.0.1
- use our own ldflags
- enable xinerama
- enable vpx
- disable patch33, does not apply now
- update kde patch from opensuse
- rediff appname patch
- rediff lang patch
- add host and target definition
- enable optimize
- add fedora patch to fix garbage char in title bar (bug#1880)

  + dmorgan <dmorgan>
    - Fix nss minimum required version
    - Fux nspr minimum required version
    - Fix typo
    - Fix BuildRequires
    - Fix BuildRequires
    - Disable png-devel BR
    - Remove old patch
    - Update FF package to build w/o the need of xulrunner ( mdv/opensuse/ ... )
      Add back kde integration patches

  + tv <tv>
    - fix icon path
    - new release

  + lmenut <lmenut>
    - version requires on nss and nspr (like in xulrunner)
    - fix default bookmarks.html
    - use gio instead of gnomevfs
    - enable startup notification
    - own firefox extensions directories
    - use upstream default for user_pref:
       + browser.ctrlTab.previews
       + browser.tabs.insertRelatedAfterCurrent
       + security.ssl.require_safe_negotiation
    - add user_pref(browser.showQuitWarning, true)

  + ahmad <ahmad>
    - Drop BR xulrunner-devel since libxul.so is built here
    - Add BR pkgconfig(libproxy-1.0), pkgconfig(alsa)
    - Use the system myspell dictionaries

  + colin <colin>
    - Install more icon sizes. This should make firefox look better in task switchers.

* Tue Jul 12 2011 fwang <fwang> 0:5.0.1-1.mga2
+ Revision: 122831
- new version 5.0.1

  + ahmad <ahmad>
    - Only suggest nspluginwrapper for x86_64 package:
      o firefox doesn't need a plugin wrapper nowadays that it has a native
        out-of-process-plugin technology
      o nspluginwrapper is only useful for the x86_64 package, to enable using
        32bit-only plugins (e.g. Adobe nppdf or flash player)

  + dmorgan <dmorgan>
    - Udpate kde patch
    - Fix and rediff P1
    - Clean spec file
    - bump yasm dep to 1.0.1

* Fri Jun 24 2011 fwang <fwang> 0:5.0-2.mga2
+ Revision: 112926
- bump xulrunner req

* Mon Jun 20 2011 tv <tv> 0:5.0-1.mga2
+ Revision: 110649
- new release

* Sat Apr 30 2011 tv <tv> 0:4.0.1-4.mga1
+ Revision: 93606
- new release
- update kde patch from MDV:  Enable back kde firefox integration

* Wed Mar 30 2011 rtp <rtp> 0:4.0-4.mga1
+ Revision: 79029
- Arm support :
  * Merge patch from mozilla bug 626035 to fix arm detection
  * Use system libffi (only on arm) because internal one is using vfp insns
  * Disable all javascrits jit (tracejit/methodjit) because arm softfloat support broken
  * Backport alignment fix from mozilla bug 634954

  + rda <rda>
    - Update homepage location

* Tue Mar 22 2011 ahmad <ahmad> 0:4.0-2.mga1
+ Revision: 75375
- update to firefox-4.0
- enable to package beta/rc or final with %%if (Thierry Vignaud)
- remove a duplicate instance of user_pref("browser.startup.homepage"
- remove user_pref("browser.ctrlTab.previews", true); and go with upstream default
- add user_pref("browser.showQuitWarning", true);
- drop the vendor patch in accordance with xulrunner commits, c.f.:
  http://svnweb.mageia.org/packages?view=revision&revision=65726
- don't change upstream search engines prefs until it's decided what Mageia will
  ship by default
- no need to ghost {compreg,xpti}.dat any more, they both moved to the profile
  directory ages ago (Fedora)
- drop firefox-rebuild-databases.pl, it's not needed any more (see above)
- don't compile with --disable-faststart
- build with system-libvpx
- build with system system-pixman

* Sun Mar 20 2011 dmorgan <dmorgan> 0:4.0-0.rc2.1.mga1
+ Revision: 74764
- Update to rc2

* Sat Mar 19 2011 dmorgan <dmorgan> 0:4.0-0.rc1.9.mga1
+ Revision: 74498
- Add patch to enable kde integration ( from Suse )

* Fri Mar 18 2011 dmorgan <dmorgan> 0:4.0-0.rc1.8.mga1
+ Revision: 74105
- disable gnomevfs and enable gio

* Fri Mar 18 2011 ennael <ennael> 0:4.0-0.rc1.7.mga1
+ Revision: 74084
- fix firefox-kde.patch

* Thu Mar 10 2011 tv <tv> 0:4.0-0.rc1.6.mga1
+ Revision: 67799
- fix path in tarball
- new release

* Sun Mar 06 2011 ahmad <ahmad> 0:4.0-0.b12.6.mga1
+ Revision: 65727
- don't set browser.tabs.insertRelatedAfterCurrent to false by default, to be
  more compliant with upstream (they do spend time on usability)

* Tue Mar 01 2011 ahmad <ahmad> 0:4.0-0.b12.5.mga1
+ Revision: 61887
- don't install kde.js, the xulrunner kde-integration patches aren't applied
  so installing this file is useless
- tighten the 'xulrunner' requires, otherwise firefox breaks if xulrunner is
  updated while new firefox isn't built/available on the mirrors yet

  + dmorgan <dmorgan>
    - Revert previous commti
    - Fix release

* Sat Feb 26 2011 tv <tv> 0:4.0-0.b12.4.mga1
+ Revision: 60892
- new release
- new release

* Mon Feb 21 2011 dmorgan <dmorgan> 0:4.0-0.b11.4.mga1
+ Revision: 55433
- Fix sources
- Backport mdv commit 636905
  	- disable elf hack also
- Update to b11

* Sun Feb 13 2011 dmorgan <dmorgan> 0:4.0-0.b10.4.mga1
+ Revision: 51554
- Fixed build with the new omni.jar format and enabled again system nss
  Merge mdv commit 631629

  + ahmad <ahmad>
    - requires a recent enough cairo-devel

* Tue Feb 01 2011 tv <tv> 0:4.0-0.b10.3.mga1
+ Revision: 45615
- add more firefox macro to ease packaging extensions per discussion on cooker@
- fix version in description
- fix URL

* Mon Jan 31 2011 dmorgan <dmorgan> 0:4.0-0.b10.2.mga1
+ Revision: 45197
- now ships boundled weave sync

* Thu Jan 27 2011 erwan <erwan> 0:4.0-0.b10.1.mga1
+ Revision: 42309
- Adding asc file for b10
- New release b10
- Removing older file

* Thu Jan 27 2011 erwan <erwan> 0:4.0-0.b8.1.mga1
+ Revision: 42265
- Removing useless specs

  + blino <blino>
    - imported package firefox

